package cn.com.countrygarden.bi.main.model.performance;

import java.util.Date;

/**
 * 考核记录实体类
 *
 * @Author:Wyman
 * @Date 2018/10/19
 */
public class PerformanceRecord {

    private long recordId;//考核记录id

    private String hierachyId;//层级id

    private Long elementId;//指标id

    private Integer year;//年

    private Integer quarter;//季度

    private String rate;//考核频率

    private double weight;//权重值

    private String scope;//利润规模

    private int ranges;//排名

    private short isExamine;//是否考核

    private short isDelete;//是否删除

    private Date createDate;

    private String createBy;

    private Date updateDate;

    private String updateBy;
    
    private String lrdb;           //整体利润是否达标
    private String fwzzdf;           //房屋租售最终得分
    
    
    public String getLrdb() {
		return lrdb;
	}

	public void setLrdb(String lrdb) {
		this.lrdb = lrdb;
	}

	public String getFwzzdf() {
		return fwzzdf;
	}

	public void setFwzzdf(String fwzzdf) {
		this.fwzzdf = fwzzdf;
	}

    public PerformanceRecord() {
    }

    public PerformanceRecord(long elementId, int year, int quarter) {
        this.elementId = elementId;
        this.year = year;
        this.quarter = quarter;
    }

    public PerformanceRecord(long recordId, String rate, double weight, short isExamine) {
        this.recordId = recordId;
        this.rate = rate;
        this.weight = weight;
        this.isExamine = isExamine;
    }
    
    public PerformanceRecord(long recordId, String rate, double weight, short isExamine,String lrdb,String fwzzdf) {
        this.recordId = recordId;
        this.rate = rate;
        this.weight = weight;
        this.isExamine = isExamine;
        this.lrdb= lrdb;
        this.fwzzdf= fwzzdf;
    }

    public PerformanceRecord(String hierachyId, long elementId, int year, int quarter) {
        this.hierachyId = hierachyId;
        this.elementId = elementId;
        this.year = year;
        this.quarter = quarter;
    }

    public PerformanceRecord(String hierachyId, long elementId, int year, int quarter, String rate, double weight,short isExamine) {
        this.hierachyId = hierachyId;
        this.elementId = elementId;
        this.year = year;
        this.quarter = quarter;
        this.rate = rate;
        this.weight = weight;
        this.isExamine = isExamine;
    }
    
    public PerformanceRecord(String hierachyId, long elementId, int year, int quarter, String rate, double weight,short isExamine,String lrdb,String fwzzdf) {
        this.hierachyId = hierachyId;
        this.elementId = elementId;
        this.year = year;
        this.quarter = quarter;
        this.rate = rate;
        this.weight = weight;
        this.isExamine = isExamine;
        this.lrdb= lrdb;
        this.fwzzdf= fwzzdf;
    }
    

    public PerformanceRecord(long recordId, String hierachyId, long elementId, int year, int quarter, String rate, double weight, String scope, int ranges, Date createDate, String createBy, Date updateDate, String updateBy) {
        this.recordId = recordId;
        this.hierachyId = hierachyId;
        this.elementId = elementId;
        this.year = year;
        this.quarter = quarter;
        this.rate = rate;
        this.weight = weight;
        this.scope = scope;
        this.ranges = ranges;
        this.createDate = createDate;
        this.createBy = createBy;
        this.updateDate = updateDate;
        this.updateBy = updateBy;
    }

    public long getRecordId() {
        return recordId;
    }

    public void setRecordId(long recordId) {
        this.recordId = recordId;
    }

    public String getHierachyId() {
        return hierachyId;
    }

    public void setHierachyId(String hierachyId) {
        this.hierachyId = hierachyId;
    }

    public Long getElementId() {
        return elementId;
    }

    public void setElementId(Long elementId) {
        this.elementId = elementId;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public Integer getQuarter() {
        return quarter;
    }

    public void setQuarter(Integer quarter) {
        this.quarter = quarter;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public double getWeight() {
        return weight;
    }

    public void setWeight(double weight) {
        this.weight = weight;
    }

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public int getRanges() {
        return ranges;
    }

    public void setRanges(int ranges) {
        this.ranges = ranges;
    }

    public short getIsExamine() {
        return isExamine;
    }

    public void setIsExamine(short isExamine) {
        this.isExamine = isExamine;
    }

    public short getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(short isDelete) {
        this.isDelete = isDelete;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
}
